import uvicorn
from seo_analyzer.api import app

if __name__ == "__main__":
    # Run the FastAPI application using uvicorn
    # Host on all available network interfaces (0.0.0.0)
    # Use port 5000 to match Docker configuration
    # Enable auto-reload for development
    uvicorn.run(
        "seo_analyzer.api:app",
        host="0.0.0.0",
        port=5000,
        reload=True
    )